function EDP=setEDP()
  EDP.a=0;EDP.b=pi;
  EDP.t0=0;EDP.T=2;
  EDP.nu=2;
  EDP.c=@(x) x.^2+1;
  k=4;
  EDP.uex=@(t,x) cos(k*t)*sin(2*x-pi/3);
  EDP.f=@(t,x) -k*sin(k*t)*sin(2*x-pi/3)+EDP.nu*4*cos(k*t)*sin(2*x-pi/3)+EDP.c(x).*EDP.uex(t,x);
  EDP.u0=@(x) EDP.uex(EDP.t0,x);
  EDP.ua=@(t) EDP.uex(t,EDP.a);
  EDP.ub=@(t) EDP.uex(t,EDP.b);
end
